CGAL 6.1.2 - Polynomial: PolynomialTraits_d::PrincipalSubresultants Concept Reference

CGAL 6.1.2 - Polynomial

Loading...
Searching...
No Matches
List of all members
PolynomialTraits_d::PrincipalSubresultants Concept Reference
Reference Manual » Concepts

## Definition

Computes the principal subresultant of two polynomials \( p\) and \( q\) of type `PolynomialTraits_d::Coefficient_type` with respect to the outermost variable. The \( i\)-th principal subresultant, \( \mathrm{sres}_i(p,q)\), is defined as the coefficient at \( t^i\) of the \( i\)-th polynomial subresultant \( \mathrm{Sres}_i(p,q)\). Thus, it is either the leading coefficient of \( \mathrm{Sres}_i\), or zero in the case where its degree is below \( i\).

The result is written in an output range, starting with the \( 0\)-th principal subresultant \( \mathrm{sres}_0(p,q)\) ,aka as the resultant of \( p\) and \( q\). (Note that \( \mathrm{sres}_0(p,q)=\mathrm{Sres}_0(p,q)\) by definition)

Note
  This functor is optional.

Refines
  `AdaptableBinaryFunction`
  `CopyConstructible`
  `DefaultConstructible`

See also
  `Polynomial_d`
  `PolynomialTraits_d`
  `PolynomialTraits_d::Resultant`
  `PolynomialTraits_d::PolynomialSubresultants`
  `PolynomialTraits_d::PrincipalSturmHabichtSequence`

## Operations
template<typename OutputIterator >
OutputIterator | operator() (Polynomial_d p, Polynomial_d q, OutputIterator out)
| computes the principal subresultants of \( p\) and \( q\), with respect to the outermost variable.
template<typename OutputIterator >
OutputIterator | operator() (Polynomial_d p, Polynomial_d q, OutputIterator out, int i)
| computes the principal subresultants of \( p\) and \( q\), with respect to the variable \( x_i\).

## Member Function Documentation

## ◆ operator()()

template<typename OutputIterator >

OutputIterator PolynomialTraits_d::PrincipalSubresultants::operator() | ( | Polynomial_d | p,
|  | Polynomial_d | q,
|  | OutputIterator | out
| ) |  |

computes the principal subresultants of \( p\) and \( q\), with respect to the outermost variable.

Each element is of type `PolynomialTraits_d::Coefficient_type`.